
Name:           lxc
Version:        0.4.0
Release:        1.1%{?dist}
Summary:        Linux Resource Containers userspace utilities

Group:          Applications/System
License:        LGPLv2+
URL:            http://sourceforge.net/projects/lxc/
Source0:        http://downloads.sourceforge.net/lxc/lxc-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Linux Resource Containers (lxc) is a solution to partitioning the kernels
resources such as process- and name-spaces allowing processes to run in their
own container, isolated from the rest of the system.

This allows the set-up of performant virtual servers.

This package contains the userspace utilities to manage so called Linux
resource containers (lxc), a lightweight process-space partitioning
solutions.


%package        libs
Summary:        Runtime library files for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description    libs
Linux Resource Containers (lxc) is a solution to partitioning the kernels
resources such as process- and name-spaces allowing processes to run in their
own container, isolated from the rest of the system.

The %{name}-libs package contains libraries for running %{name} applications.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
Linux Resource Containers (lxc) is a solution to partitioning the kernels
resources such as process- and name-spaces allowing processes to run in their
own container, isolated from the rest of the system.

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure CXX=no F77=no \
        --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
rm -f %{buildroot}%{_libdir}/liblxc.so
mv %{buildroot}%{_libdir}/liblxc-%{version}.so %{buildroot}%{_libdir}/liblxc.so.%{version}
ln -s liblxc.so.%{version} %{buildroot}%{_libdir}/liblxc.so
ln -s liblxc.so.%{version} %{buildroot}%{_libdir}/liblxc.so.$(echo %{version} | cut -d . -f 1-2 )
ln -s liblxc.so.$(echo %{version} | cut -d . -f 1-2 ) %{buildroot}%{_libdir}/liblxc.so.$(echo %{version} | cut -d . -f 1 )


%clean
rm -rf %{buildroot}


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig



%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%dir %{_sysconfdir}/lxc/
%config(noreplace) %{_sysconfdir}/lxc/*
%{_bindir}/*


%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Nov 13 2008 Andreas Thienemann <andreas@bawue.net> - 0.4.0-1
- Initial RPM package for fedora
